Deployments.ai Docs
Tenancy

Create an invitation

POST /v1/invitations · SDK createOrganizationInvitation · CLI deployments invitation create

POST
/v1/invitations

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
idempotency-key*string
Length1 <= length <= 512

Request Body

application/json
  1. body
email*string
Match^\S[\s\S]*\S$|^\S$|^$
Lengthlength <= 254
expiresAt?string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
role*string
Value in"admin""billing""member""owner""viewer"

Response Body

IssuedOrganizationInvitationResponse

application/json
  1. response
createdAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
updatedAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
version*integer
Range1 <= value
acceptedAt?string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
acceptedByPrincipalId?string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
email*string
Match^\S[\s\S]*\S$|^\S$|^$
Lengthlength <= 254
expiresAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
invitedByPrincipalId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
organizationId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
revokedAt?string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
role*string
Value in"admin""billing""member""owner""viewer"
status*string
Value in"accepted""expired""pending""revoked"
secretVisibleOnce*true
Value intrue
token*string
Match^\S[\s\S]*\S$|^\S$|^$
Length1 <= length <= 1024
curl -X POST "https://example.com/v1/invitations" \  -H "x-deployments-organization: string" \  -H "idempotency-key: string" \  -H "Content-Type: application/json" \  -d '{    "email": "string",    "role": "admin"  }'
{  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "version": 1,  "acceptedAt": "2019-08-24T14:15:22Z",  "acceptedByPrincipalId": "string",  "email": "string",  "expiresAt": "2019-08-24T14:15:22Z",  "id": "string",  "invitedByPrincipalId": "string",  "organizationId": "string",  "revokedAt": "2019-08-24T14:15:22Z",  "role": "admin",  "status": "accepted",  "secretVisibleOnce": true,  "token": "string"}